%define ver      0.0.0
%define rel      1
%define name     randomise
%define prefix   /usr

Summary: Return to stdout a psudo randomly chosen line form stdin
Name: randomise
Version: %ver
Release: %rel
Copyright: GNU General Public Licence
URL: http://vergenet.net/linux/randomise/
Packager: Horms <horms@vergenet.net>
Group: Applications/System
Source: ftp://ftp.vergenet.net/pub/randomise/%name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/%name-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

%description
randomise
Reads input of arbitrary length and returns a pseudo-randomly selected
line. The file can be of arbitrary length as at most two lines are stored
in memory at any given time. Lines are a maximum of 4096 characters long,
this can be configured at compile time. Randomise is particularly useful
from selecting elements from lists that are too long to be accepted on a
single command line.

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/
BUILD_ROOT=${RPM_BUILD_ROOT} make install

%clean
rm -rf $RPM_BUILD_DIR/%name-%{ver}
rm -rf $RPM_BUILD_ROOT

%post

%postun

%preun

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%attr(755,root,root) %{prefix}/bin/randomise
%attr(644,root,root) %{prefix}/man/man1/randomise.1


%changelog
* Sat Apr 15 2000 Horms <horms@vergenet.net>
- created for version 0.0.0
